@import "./src/components/Wrapper/index";

.button{
  display: flex;
  align-items: center;
  justify-content: center;
  &__content{
    text-transform: uppercase;
    border: 1px solid $main-color-gold;
    background-color: transparent;
    cursor: pointer;
    padding: calc(.3vh + .3vw) calc(1.4vh + 1.4vw);
    color: $text-color;
    outline: none;
    transition: background-color .3s;
    font-size: $size-text-small;

    &:hover{
      background-color: $text-color3;
    }
  }
}

.border-button {
  text-decoration: none;
  display: inline-block;
  position: relative;
  background: none;
  font-weight: 300;
  font-family: 'Montserrat', sans-serif;
  text-transform: uppercase;
  letter-spacing: 2px;
}

.disBtn{
  & button{
    background-color: rgba(192,192,192,.3);
    &:hover{
      background-color: rgba(192,192,192,.3);
    }
  }
}

.border-button:before, .border-button:after {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  opacity: 0;
  box-sizing: border-box;
}
.border-button:before {
  bottom: 0;
  left: 0;
  border-left: 1px solid $text-color;
  border-top: 1px solid $text-color;
  transition: 0s ease opacity .8s, .2s ease width .4s, .2s ease height .6s;
}
.border-button:after {
  top: 0;
  right: 0;
  border-right: 1px solid  $text-color;
  border-bottom: 1px solid  $text-color;
  transition: 0s ease opacity .8s, .2s ease width, .2s ease height .2s;
}
.border-button:hover:before,
.border-button:hover:after {
  height: 100%;
  width: 100%;
  opacity: 1;
}
.border-button:hover:before {
  transition: 0s ease opacity 0s, .2s ease height, .2s ease width .2s;
}
.border-button:hover:after {
  transition: 0s ease opacity .4s, .2s ease height .4s, .2s ease width .6s;
}
